Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.ssygvx

scipy.linalg.lapack.ssygvx(a, b[, itype, jobz, range, uplo, vl, vu, il, iu, abstol, lwork, overwrite_a, overwrite_b]) = <fortran function ssygvx>

  Wrapper for `ssygvx`.

  Parameters:
    a input rank-2 array(‘f’) with bounds (n,n)
    b input rank-2 array(‘f’) with bounds (n,n)
  Returns:
    w rank-1 array(‘f’) with bounds (n)
    z rank-2 array(‘f’) with bounds ((jobz == ‘V’?MAX(0, n):0),(jobz == ‘V’?(range == ‘I’?1 - il + iu:MAX(1, n)):0))
    m int
    ifail rank-1 array(‘i’) with bounds ((jobz == ‘N’?0:n))
    info int
  Other Parameters:
    itype input int, optional

      Default: 1

    jobz input bytes, optional

      Default: ‘V’

    range input bytes, optional

      Default: ‘A’

    uplo input bytes, optional

      Default: ‘L’

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    vl input float, optional

      Default: 0.0

    vu input float, optional

      Default: 1.0

    il input int, optional

      Default: 1

    iu input int, optional

      Default: n

    abstol input float, optional

      Default: 0.0

    lwork input int, optional

      Default: max(8*n,1)